#include "stdinput.h"

//////////////////////////////////////////////////////////////////////////////
// Key Bindings
//

glsiKeyBinding gcpglsiKeyBindings[gcuiglsiKeyBindings] = 
{
  {"0", '0'},
  {"1", '1'},
  {"2", '2'},
  {"3", '3'},
  {"4", '4'},
  {"5", '5'},
  {"6", '6'},
  {"7", '7'},
  {"8", '8'},
  {"9", '9'},
  {"A", 'A'},
  {"B", 'B'},
  {"C", 'C'},
  {"D", 'D'},
  {"E", 'E'},
  {"F", 'F'},
  {"G", 'G'},
  {"H", 'H'},
  {"I", 'I'},
  {"J", 'J'},
  {"K", 'K'},
  {"L", 'L'},
  {"M", 'M'},
  {"N", 'N'},
  {"O", 'O'},
  {"P", 'P'},
  {"Q", 'Q'},
  {"R", 'R'},
  {"S", 'S'},
  {"T", 'T'},
  {"U", 'U'},
  {"V", 'V'},
  {"W", 'W'},
  {"X", 'X'},
  {"Y", 'Y'},
  {"Z", 'Z'},
  {"a", 'a'},
  {"b", 'b'},
  {"c", 'c'},
  {"d", 'd'},
  {"e", 'e'},
  {"f", 'f'},
  {"g", 'g'},
  {"h", 'h'},
  {"i", 'i'},
  {"j", 'j'},
  {"k", 'k'},
  {"l", 'l'},
  {"m", 'm'},
  {"n", 'n'},
  {"o", 'o'},
  {"p", 'p'},
  {"q", 'q'},
  {"r", 'r'},
  {"s", 's'},
  {"t", 't'},
  {"u", 'u'},
  {"v", 'v'},
  {"w", 'w'},
  {"x", 'x'},
  {"y", 'y'},
  {"z", 'z'},
  {"grave", '`'},
  {"asciitilde", '~'},
  {"exclam", '!'},
  {"at", '@'},
  {"numbersign", '#'},
  {"dollar", '$'},
  {"percent", '%'},
  {"asciicircum", '^'},
  {"ampersand", '&'},
  {"asterisk", '*'},
  {"parenleft", '('},
  {"parenright", ')'},
  {"minus", '-'},
  {"underscore", '_'},
  {"equal", '='},
  {"plus", '+'},
  {"bracketleft", '['},
  {"braceleft", '{'},
  {"bracketright", ']'},
  {"braceright", '}'},
  {"backslash", '\\'},
  {"bar", '|'},
  {"semicolon", ';'},
  {"colon", ':'},
  {"apostrophe", '\''},
  {"quotedbl", '"'},
  {"comma", ','},
  {"less", '<'},
  {"period", '.'},
  {"greater", '>'},
  {"slash", '/'},
  {"question", '?'},
  {"space", ' '},
  {"Escape", GLSI_KEY_ESCAPE},
  {"F1", GLSI_KEY_F1},
  {"F2", GLSI_KEY_F2},
  {"F3", GLSI_KEY_F3},
  {"F4", GLSI_KEY_F4},
  {"F5", GLSI_KEY_F5},
  {"F6", GLSI_KEY_F6},
  {"F7", GLSI_KEY_F7},
  {"F8", GLSI_KEY_F8},
  {"F9", GLSI_KEY_F9},
  {"F10", GLSI_KEY_F10},
  {"F11", GLSI_KEY_F11},
  {"F12", GLSI_KEY_F12},
  {"BackSpace", GLSI_KEY_BACKSPACE},
  {"Tab", GLSI_KEY_TAB},
  {"Caps_Lock", GLSI_KEY_CAPS_LOCK},
  {"Return", GLSI_KEY_RETURN},
  {"Shift_L", GLSI_KEY_SHIFT_L},
  {"Shift_R", GLSI_KEY_SHIFT_R},
  {"Control_L", GLSI_KEY_CONTROL_L},
  {"Control_R", GLSI_KEY_CONTROL_R},
  {"Alt_L", GLSI_KEY_ALT_L},
  {"Alt_R", GLSI_KEY_ALT_R},
  {"Meta_L", GLSI_KEY_META_L},
  {"Meta_R", GLSI_KEY_META_R},
  {"Print", GLSI_KEY_PRINT},
  {"Execute", GLSI_KEY_EXECUTE},
  {"Scroll_Lock", GLSI_KEY_SCROLL_LOCK},
  {"Pause", GLSI_KEY_PAUSE},
  {"Break", GLSI_KEY_BREAK},
  {"Insert", GLSI_KEY_INSERT},
  {"Delete", GLSI_KEY_DELETE},
  {"Home", GLSI_KEY_HOME},
  {"End", GLSI_KEY_END},
  {"Prior", GLSI_KEY_PRIOR},
  {"Next", GLSI_KEY_NEXT},
  {"Left", GLSI_KEY_LEFT},
  {"Up", GLSI_KEY_UP},
  {"Right", GLSI_KEY_RIGHT},
  {"Down", GLSI_KEY_DOWN},
  {"Num_Lock", GLSI_KEY_NUM_LOCK},
  {"KP_Divide", GLSI_KEY_DIVIDE},
  {"KP_Multiply", GLSI_KEY_MULTIPLY},
  {"KP_Subtract", GLSI_KEY_SUBTRACT},
  {"KP_Add", GLSI_KEY_ADD},
  {"KP_Enter", GLSI_KEY_ENTER},
  {"KP_Delete", GLSI_KEY_DECIMAL},
  {"KP_Insert", GLSI_KEY_0},
  {"KP_End", GLSI_KEY_1},
  {"KP_Down", GLSI_KEY_2},
  {"KP_Next", GLSI_KEY_3},
  {"KP_Left", GLSI_KEY_4},
  {"KP_Begin", GLSI_KEY_5},
  {"KP_Right", GLSI_KEY_6},
  {"KP_Home", GLSI_KEY_7},
  {"KP_Up", GLSI_KEY_8},
  {"KP_Prior", GLSI_KEY_9},
  {"KP_Decimal", GLSI_KEY_DELETE},
  {"KP_0", GLSI_KEY_INSERT},
  {"KP_1", GLSI_KEY_END},
  {"KP_2", GLSI_KEY_DOWN},
  {"KP_3", GLSI_KEY_NEXT},
  {"KP_4", GLSI_KEY_LEFT},
  {"KP_5", GLSI_KEY_BEGIN},
  {"KP_6", GLSI_KEY_RIGHT},
  {"KP_7", GLSI_KEY_HOME},
  {"KP_8", GLSI_KEY_UP},
  {"KP_9", GLSI_KEY_PRIOR},
};
